$ErrorActionPreference = 'Stop';

$packageName= 'invantive-bridge-connectors-power-bi'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Bridge%20Connectors%20for%20Power%20BI-20.0.0.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Bridge%20Connectors%20for%20Power%20BI-20.0.0.msi'
  softwareName = 'Invantive Bridge Connectors for Power BI'
  checksum = '3EA822CB6D2A60B90DD571F2E5F925C45E93AF65DA70302FDC6A8570883D2E2A'
  checksumType = 'sha256'
  checksum64 = '3EA822CB6D2A60B90DD571F2E5F925C45E93AF65DA70302FDC6A8570883D2E2A'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-bridge-connectors-power-bi-20.0.0-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
